on:
  - push

jobs:
  build:
    name: Build the server
    runs-on: 'docker'
    container:
      node:current-alpine
    steps:
      - run: apk add git tar cmake make g++ linux-headers python3 xxd
      - uses: actions/checkout@v3
      - run: npm ci
        working-directory: frontend
      - run: npm run build
        working-directory: frontend
      - run: mkdir build
      - run: cmake -DCMAKE_BUILD_TYPE=Release ..
        working-directory: build
      - run: cmake --build . -j
        working-directory: build
      - uses: actions/upload-artifact@v3
        with:
          name: fileserver
          path: build/fileserver
